com.aliyun.svideosdk.common.struct.common

## Class AliyunClip

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunClip

- Direct Known Subclasses:
    AliyunImageClip, AliyunVideoClip

      public abstract class AliyunClip
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `mClipHeight`
    `protected int` | `mClipWidth`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AliyunClip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClipHeight()` 获取媒体资源高度，单位：像素
    `int` | `getClipWidth()` 获取媒体资源宽度，单位：像素
    `AliyunDisplayMode` | `getDisplayMode()` 获取本段的显示模式
    `int` | `getId()` 获取资源id，该id为本段的唯一标识符
    `MediaType` | `getMediaType()` 获取本段的媒体类型，主要由图片，视频，音频三种类型
    `java.lang.String` | `getSource()` 获取本段的文件地址
    `TransitionBase` | `getTransition()` 获取本段的转场类型
    `void` | `setDisplayMode(AliyunDisplayMode mode)` 设置本段的显示模式
    `void` | `setId(int id)` 设置资源id，该id为本段的唯一标识符
    `void` | `setMediaType(MediaType mediaType)` 设置本段的媒体类型，主要由图片，视频，音频三种类型
    `void` | `setSource(java.lang.String mSource)` 设置本段的文件地址
    `void` | `setTransition(TransitionBase transition)` 设置本段的转场类型

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mClipWidth

          protected int mClipWidth

    - #### mClipHeight

          protected int mClipHeight

  - ### Constructor Detail

    - #### AliyunClip

          protected AliyunClip()

  - ### Method Detail

    - #### getId

          public int getId()

      获取资源id，该id为本段的唯一标识符
      Returns:
        id

    - #### setId

          public void setId(int id)

      设置资源id，该id为本段的唯一标识符
      Parameters:
        `id` -

    - #### getSource

          public java.lang.String getSource()

      获取本段的文件地址
      Returns:
        source

    - #### setSource

          public void setSource(java.lang.String mSource)

      设置本段的文件地址
      Parameters:
        `mSource` - 地址值

    - #### getTransition

          public TransitionBase getTransition()

      获取本段的转场类型
      Returns:
        `TransitionCircle` `TransitionFade` `TransitionFiveStar` `TransitionShutter` `TransitionTranslate`

    - #### setTransition

          public void setTransition(TransitionBase transition)

      设置本段的转场类型
      Parameters:
        `transition` - `TransitionCircle` `TransitionFade` `TransitionFiveStar` `TransitionShutter` `TransitionTranslate`

    - #### getDisplayMode

          public AliyunDisplayMode getDisplayMode()

      获取本段的显示模式
      Returns:
        `AliyunDisplayMode`

    - #### setDisplayMode

          public void setDisplayMode(AliyunDisplayMode mode)

      设置本段的显示模式
      Parameters:
        `mode` - `AliyunDisplayMode`

    - #### getMediaType

          public MediaType getMediaType()

      获取本段的媒体类型，主要由图片，视频，音频三种类型
      Returns:
        `MediaType`

    - #### setMediaType

          public void setMediaType(MediaType mediaType)

      设置本段的媒体类型，主要由图片，视频，音频三种类型
      Parameters:
        `mediaType` - `MediaType`

    - #### getClipWidth

          public int getClipWidth()

      获取媒体资源宽度，单位：像素

    - #### getClipHeight

          public int getClipHeight()

      获取媒体资源高度，单位：像素